My Project: ProgramObject Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
ProgramObject Class Reference

`#include <shaderobject.h>`

## Public Member Functions

void | Activate ()
void | DeActivate ()
void | RefreshTypeMap ()
int | GetUniLoc (string name)
int | GetAttribLoc (string name)
void | SetParameter1S (string name, float v1)
void | SetParameter2S (string name, float v1, float v2)
void | SetParameter3S (string name, float v1, float v2, float v3)
void | SetParameter4S (string name, float v1, float v2, float v3, float v4)
void | SetParameter1I (string name, int v1)
void | SetParameter2I (string name, int v1, int v2)
void | SetParameter3I (string name, int v1, int v2, int v3)
void | SetParameter4I (string name, int v1, int v2, int v3, int v4)
void | SetVector1I (string name, int *v1)
void | SetVector2I (string name, int *v1)
void | SetVector3I (string name, int *v1)
void | SetVector4I (string name, int *v1)
void | SetParameter1D (string name, double v1)
void | SetParameter2D (string name, double v1, double v2)
void | SetParameter3D (string name, double v1, double v2, double v3)
void | SetParameter4D (string name, double v1, double v2, double v3, double v4)
void | SetParameterArray (string name, Surface *surf, int vbo)
void | SetParameterArray (string name, vector< float > *vertices, int vbo)
void | SetParameter1F (string name, float v)
void | SetParameter2F (string name, float v1, float v2)
void | SetParameter3F (string name, float v1, float v2, float v3)
void | SetParameter4F (string name, float v1, float v2, float v3, float v4)
void | SetVector1F (string name, float *v1)
void | SetVector2F (string name, float *v1)
void | SetVector3F (string name, float *v1)
void | SetVector4F (string name, float *v1)
void | SetMatrix2F (string name, float *m)
void | SetMatrix3F (string name, float *m)
void | SetMatrix4F (string name, float *m)
int | AttachVertShader (ShaderObject *myShader)
int | AttachFragShader (ShaderObject *myShader)
void | DetachVertShader (ShaderObject *vShader)
void | DetachFragShader (ShaderObject *fShader)

## Static Public Member Functions

static ProgramObject * | Create (string name="null")

## Public Attributes

int | Program
list< ShaderObject * > | vList
list< ShaderObject * > | fList
string | progName
int | vertShaderCount
int | fragShaderCount
map< string, int > | TypeMap

## Static Public Attributes

static list< ProgramObject * > | ProgramObjectList

## Member Function Documentation

## § Activate()

void ProgramObject::Activate | ( |  | ) |

## § AttachFragShader()

int ProgramObject::AttachFragShader | ( | ShaderObject * | myShader | ) |

## § AttachVertShader()

int ProgramObject::AttachVertShader | ( | ShaderObject * | myShader | ) |

## § Create()

ProgramObject * ProgramObject::Create | ( | string | name = `"null"` | ) |

static

## § DeActivate()

void ProgramObject::DeActivate | ( |  | ) |

## § DetachFragShader()

void ProgramObject::DetachFragShader | ( | ShaderObject * | fShader | ) |

## § DetachVertShader()

void ProgramObject::DetachVertShader | ( | ShaderObject * | vShader | ) |

## § GetAttribLoc()

int ProgramObject::GetAttribLoc | ( | string | name | ) |

## § GetUniLoc()

int ProgramObject::GetUniLoc | ( | string | name | ) |

## § RefreshTypeMap()

void ProgramObject::RefreshTypeMap | ( |  | ) |

## § SetMatrix2F()

void ProgramObject::SetMatrix2F | ( | string | name,
|  | float * | m
| ) |  |

## § SetMatrix3F()

void ProgramObject::SetMatrix3F | ( | string | name,
|  | float * | m
| ) |  |

## § SetMatrix4F()

void ProgramObject::SetMatrix4F | ( | string | name,
|  | float * | m
| ) |  |

## § SetParameter1D()

void ProgramObject::SetParameter1D | ( | string | name,
|  | double | v1
| ) |  |

## § SetParameter1F()

void ProgramObject::SetParameter1F | ( | string | name,
|  | float | v
| ) |  |

## § SetParameter1I()

void ProgramObject::SetParameter1I | ( | string | name,
|  | int | v1
| ) |  |

## § SetParameter1S()

void ProgramObject::SetParameter1S | ( | string | name,
|  | float | v1
| ) |  |

## § SetParameter2D()

void ProgramObject::SetParameter2D | ( | string | name,
|  | double | v1,
|  | double | v2
| ) |  |

## § SetParameter2F()

void ProgramObject::SetParameter2F | ( | string | name,
|  | float | v1,
|  | float | v2
| ) |  |

## § SetParameter2I()

void ProgramObject::SetParameter2I | ( | string | name,
|  | int | v1,
|  | int | v2
| ) |  |

## § SetParameter2S()

void ProgramObject::SetParameter2S | ( | string | name,
|  | float | v1,
|  | float | v2
| ) |  |

## § SetParameter3D()

void ProgramObject::SetParameter3D | ( | string | name,
|  | double | v1,
|  | double | v2,
|  | double | v3
| ) |  |

## § SetParameter3F()

void ProgramObject::SetParameter3F | ( | string | name,
|  | float | v1,
|  | float | v2,
|  | float | v3
| ) |  |

## § SetParameter3I()

void ProgramObject::SetParameter3I | ( | string | name,
|  | int | v1,
|  | int | v2,
|  | int | v3
| ) |  |

## § SetParameter3S()

void ProgramObject::SetParameter3S | ( | string | name,
|  | float | v1,
|  | float | v2,
|  | float | v3
| ) |  |

## § SetParameter4D()

void ProgramObject::SetParameter4D | ( | string | name,
|  | double | v1,
|  | double | v2,
|  | double | v3,
|  | double | v4
| ) |  |

## § SetParameter4F()

void ProgramObject::SetParameter4F | ( | string | name,
|  | float | v1,
|  | float | v2,
|  | float | v3,
|  | float | v4
| ) |  |

## § SetParameter4I()

void ProgramObject::SetParameter4I | ( | string | name,
|  | int | v1,
|  | int | v2,
|  | int | v3,
|  | int | v4
| ) |  |

## § SetParameter4S()

void ProgramObject::SetParameter4S | ( | string | name,
|  | float | v1,
|  | float | v2,
|  | float | v3,
|  | float | v4
| ) |  |

## § SetParameterArray() [1/2]

void ProgramObject::SetParameterArray | ( | string | name,
|  | Surface * | surf,
|  | int | vbo
| ) |  |

## § SetParameterArray() [2/2]

void ProgramObject::SetParameterArray | ( | string | name,
|  | vector< float > * | vertices,
|  | int | vbo
| ) |  |

## § SetVector1F()

void ProgramObject::SetVector1F | ( | string | name,
|  | float * | v1
| ) |  |

## § SetVector1I()

void ProgramObject::SetVector1I | ( | string | name,
|  | int * | v1
| ) |  |

## § SetVector2F()

void ProgramObject::SetVector2F | ( | string | name,
|  | float * | v1
| ) |  |

## § SetVector2I()

void ProgramObject::SetVector2I | ( | string | name,
|  | int * | v1
| ) |  |

## § SetVector3F()

void ProgramObject::SetVector3F | ( | string | name,
|  | float * | v1
| ) |  |

## § SetVector3I()

void ProgramObject::SetVector3I | ( | string | name,
|  | int * | v1
| ) |  |

## § SetVector4F()

void ProgramObject::SetVector4F | ( | string | name,
|  | float * | v1
| ) |  |

## § SetVector4I()

void ProgramObject::SetVector4I | ( | string | name,
|  | int * | v1
| ) |  |

## Member Data Documentation

## § fList

list<ShaderObject*> ProgramObject::fList

## § fragShaderCount

int ProgramObject::fragShaderCount

## § progName

string ProgramObject::progName

## § Program

int ProgramObject::Program

## § ProgramObjectList

list< ProgramObject * > ProgramObject::ProgramObjectList

static

## § TypeMap

map<string,int> ProgramObject::TypeMap

## § vertShaderCount

int ProgramObject::vertShaderCount

## § vList

list<ShaderObject*> ProgramObject::vList

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/shaderobject.h
- openb3dlib.mod/openb3d/src/material.cpp